-module(lager_metadata_whitelist_test).


-ifdef(TEST).
-include_lib("eunit/include/eunit.hrl").

setup() ->
   ok = error_logger:tty(false),
   ok = rumUtil:safe_application_load(lager),
   ok = application:set_env(lager, handlers, [{lager_common_test_backend, info}]),
   ok = application:set_env(lager, errLoggerRedirect, false),
   ok = application:unset_env(lager, traces),
   ok = eRum:start(),
   ok = timer:sleep(250),
   ok.

cleanup(_) ->
   ok = application:unset_env(lager, metadata_whitelist),
   catch ets:delete(lager_config), %% kill the ets config table with fire
   ok = application:stop(lager),
   ok = application:stop(goldrush),
   ok = error_logger:tty(true).

-endif.
